/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "PerfectQE65000Driver.h"

namespace oceanoptics {

PerfectQE65000Driver::PerfectQE65000Driver(QE65000Driver* owner) : QE65000State(owner) {

}

PerfectQE65000Driver::~PerfectQE65000Driver() {

}

void PerfectQE65000Driver::init() {

}

void PerfectQE65000Driver::measure() {
	cout << "measuring in perfect mode!" << endl;
}

void PerfectQE65000Driver::stop() {
	cout << "stopping in perfect mode"<< endl;
	m_owner->sendProgressEvent(PROGRESSION_END_DEVICE_CONTAINER);
}




}


